package com.yd.api.practitioner.vo.policy.policyinfoquery;


public class InsureFactorInfo {
    private Integer socialInsured;//(社保：新农合 1-有  2-无)
    private String coverTerm;//保障计划(终身保障/保障至xx岁)
    private Integer paymentTerm;//缴费期限
    private String  paymentTermUnit;//缴费单位
    private Integer payInterval;//缴费间隔
    private String  isInsure;//是否投保(投保，不投保)
    private Integer adultCount;//成年人数目
    private Integer childCount;//未成年人数目
    private Integer eldCount;//老年人数目
    private Integer coverLength;//1-365 days
    private DestinationInfo destinationInfo;//目的地信息
    private VehicleOrderInfo vehicleInfo;//标的信息--驾乘险
    private BuildingOrderInfo buildingInfo;//标的信息--家财险

    public Integer getSocialInsured() {
        return socialInsured;
    }

    public void setSocialInsured(Integer socialInsured) {
        this.socialInsured = socialInsured;
    }

    public String getCoverTerm() {
        return coverTerm;
    }

    public void setCoverTerm(String coverTerm) {
        this.coverTerm = coverTerm;
    }

    public Integer getPaymentTerm() {
        return paymentTerm;
    }

    public void setPaymentTerm(Integer paymentTerm) {
        this.paymentTerm = paymentTerm;
    }

    public String getPaymentTermUnit() {
        return paymentTermUnit;
    }

    public void setPaymentTermUnit(String paymentTermUnit) {
        this.paymentTermUnit = paymentTermUnit;
    }

    public Integer getPayInterval() {
        return payInterval;
    }

    public void setPayInterval(Integer payInterval) {
        this.payInterval = payInterval;
    }

    public String getIsInsure() {
        return isInsure;
    }

    public void setIsInsure(String isInsure) {
        this.isInsure = isInsure;
    }

    public Integer getAdultCount() {
        return adultCount;
    }

    public void setAdultCount(Integer adultCount) {
        this.adultCount = adultCount;
    }

    public Integer getChildCount() {
        return childCount;
    }

    public void setChildCount(Integer childCount) {
        this.childCount = childCount;
    }

    public Integer getEldCount() {
        return eldCount;
    }

    public void setEldCount(Integer eldCount) {
        this.eldCount = eldCount;
    }

    public Integer getCoverLength() {
        return coverLength;
    }

    public void setCoverLength(Integer coverLength) {
        this.coverLength = coverLength;
    }

    public DestinationInfo getDestinationInfo() {
        return destinationInfo;
    }

    public void setDestinationInfo(DestinationInfo destinationInfo) {
        this.destinationInfo = destinationInfo;
    }

    public VehicleOrderInfo getVehicleInfo() {
        return vehicleInfo;
    }

    public void setVehicleInfo(VehicleOrderInfo vehicleInfo) {
        this.vehicleInfo = vehicleInfo;
    }

    public BuildingOrderInfo getBuildingInfo() {
        return buildingInfo;
    }

    public void setBuildingInfo(BuildingOrderInfo buildingInfo) {
        this.buildingInfo = buildingInfo;
    }

}
